[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: new problem with graphical login - FIXED



Mick Mearns wrote:

Knowing of the problem before I booted up the system again, I booted into runlevel 1 first, then after it being successful, I went to 'telinit 3' and tried to start X. I got this traceback error with xorg and the later glibc.

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x81) [0x80e53b1]
1: [0xfe2420]
2: /lib/libc.so.6(cfree+0x4c) [0xb3950c]
3: /usr/lib/xorg/modules/extensions/libGLcore.so(_mesa_free+0x1d) [0x3d8370d] 4: /usr/lib/xorg/modules/extensions/libGLcore.so(XMesaDestroyVisual+0x1d) [0x3f102bd]
5: /usr/lib/xorg/modules/extensions/libGLcore.so [0x3f23682]
6: /usr/lib/xorg/modules/extensions/libglx.so(__glXResetScreens+0x37) [0x585997]
7: /usr/lib/xorg/modules/extensions/libglx.so [0x584bdc]
8: /usr/bin/Xorg(CloseDownExtensions+0x46) [0x8095676]
9: /usr/bin/Xorg(main+0x49f) [0x806fa7f]
10: /lib/libc.so.6(__libc_start_main+0xdc) [0xae5f2c]
11: /usr/bin/Xorg(FontFileCompleteXLFD+0x1e9) [0x806eda1]

Trying it again after reconfiguring X with X -configure gave me this error but no traceback.

drmOpenByBusid: drmGetBusid reports pci:0000:02:00.0
(WW) AIGLX: 3D driver claims to not support visual 0x23
(WW) AIGLX: 3D driver claims to not support visual 0x24
(WW) AIGLX: 3D driver claims to not support visual 0x25
(WW) AIGLX: 3D driver claims to not support visual 0x26
(WW) AIGLX: 3D driver claims to not support visual 0x27
(WW) AIGLX: 3D driver claims to not support visual 0x28
(WW) AIGLX: 3D driver claims to not support visual 0x29
(WW) AIGLX: 3D driver claims to not support visual 0x2a
(WW) AIGLX: 3D driver claims to not support visual 0x2b
(WW) AIGLX: 3D driver claims to not support visual 0x2c
(WW) AIGLX: 3D driver claims to not support visual 0x2d
(WW) AIGLX: 3D driver claims to not support visual 0x2e
(WW) AIGLX: 3D driver claims to not support visual 0x2f
(WW) AIGLX: 3D driver claims to not support visual 0x30
(WW) AIGLX: 3D driver claims to not support visual 0x31
(WW) AIGLX: 3D driver claims to not support visual 0x32
(II) AIGLX: Loaded and initialized /usr/lib/dri/mga_dri.so


I noticed the sendmail error when I was changing to runlevel 3 from runlevel 1.

The system seems to still be able to get to the net and is able to run yum it seems. Is this problem because of some programs not being compiled for the new glibc? Is the glibc just buggy? Or did code get removed from the library which effects at least sendmail and X?

Basically, is there anything that is not known by the developers which could be checked out on a system that functions partially to pinpoint the problem with the new library version? Or is the library version going to be rolled back, So I should downgrade glibc and deps?

Rollback, collect data and wait for a newer debugged version?

Jim
--
If practice makes perfect, and nobody's perfect, why practice?


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]